﻿using System.Windows;
using ThinkGeo.Core;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            // Set the map's unit of measurement to meters(Spherical Mercator)
            mapView.MapUnit = GeographyUnit.Meter;

            // Add a simple background overlay
            mapView.BackgroundOverlay.BackgroundBrush = GeoBrushes.AliceBlue;

            // Set the map extent
            mapView.CurrentExtent = new RectangleShape(-10786436, 3918518, -10769429, 3906002);
            OpenStreetMapOverlay osmMapsOverlay = new OpenStreetMapOverlay();
            osmMapsOverlay.TileType = TileType.SingleTile;

            osmMapsOverlay.ProjectionConverterFromServerProjection = new UnmanagedProjectionConverter(
            Projection.GetGoogleMapProjString(),
            Projection.GetProjStringByEpsgSrid(3348));

            osmMapsOverlay.ProjectionConverterFromServerProjection.Open();

            mapView.Overlays.Add(osmMapsOverlay);
            mapView.Refresh();
        }
    }
}
